MaaS_Ge
Model Description
The MaaS_Ge_omni_flash_preview_20260630 model currently only supports InteractionAPI
Practice Methods
This interface supports both synchronous task mode and asynchronous task mode. When using background= true in the create interface, it corresponds to an asynchronous task. According to actual tests, the ID of the asynchronous task can currently be used to query the task result through the Get interface.
However, for the MaaS_Ge_omni_flash_preview_20260630 model, using the asynchronous task ID as the previous_interaction_id in the create interface is temporarily not effective (the supplier side is confirming the issue).
Parameter Support
For the MaaS_Ge_omni_flash_preview_20260630 model
-
response_modalities only support
textandvideo -
It is recommended to use a step-form input to transmit video content
-
generation_config.max_output_tokensIt is recommended to set a relatively large value. Tests have shown that if this parameter is set too small, it may result in the return ofRequest contains an invalid argument. -
Tool calling is not supported for the time being
-
Streaming calls are not supported for the time being
Functional Interface Details
Create Interaction (Generation)
Request URL
Request Header
| Header | Required or not | Description |
|---|---|---|
Authorization |
Yes | Bearer {YOUR_AK} |
Content-Type |
Yes | application/json |
Request Body Parameters
| Parameter Name | Field Type | Required or not | default value | Description |
|---|---|---|---|---|
input |
string, or Content array, or Step array | Yes | - | Interactive input (see the description of the input field). |
system_instruction |
string | No | - | Interactive system instructions. |
tools |
array(Tool) |
No | - | The list of tool declarations that the model can invoke during interaction (see the description of the `tools` field). |
response_format |
object | No | - | Control the generation results; the official documentation currently does not present the complete structure |
response_mime_type |
string | No | - | The MIME type of the response. If response_formatis set, this field is required. |
stream |
boolean | No | false |
Input only. Specifies whether to return interactions in streaming mode. The current model does not support streaming calls for the time being. |
store |
boolean |
No | - | Input only. Determines whether to store responses and requests for subsequent retrieval. |
background |
boolean | No | - | Input only. Whether to run model interactions in the background. |
generation_config |
GenerationConfig | No | - | Model configuration parameters (refer to the description of the generation_config field). |
previous_interaction_id |
string |
No | - | The ID of the previous interaction, if any. |
response_modalities |
array(string) | No | - | The response modality for the request. Supported values: text, image, audio, video, document. |
input field description
inputis a required field and supports one of the following three formats (consistent with the Google Interactions API):
1. String
Directly pass in the user text, for example:
2. Content array (array of Content)
An array of multimodal content blocks. Each Content is distinguished by type via type. For details, please refer to the Content type.
! Note: When passing base64 data via data, do not include the base64 header
Example:
"input": [
{ "type": "text", "text": "Please describe this image." },
{ "type": "image", "data": "BASE64_ENCODED_IMAGE", "mime_type": "image/png" }
]
3. Step array (array of Step)
A structured step array used to explicitly distinguish steps such as user input. For details, see the Step type (input).
Example:
"input": [
{
"type": "user_input",
"content": [
{ "type": "text", "text": "Hello, please introduce yourself." }
]
}
]
Content Type
Content is a polymorphic object, and its specific type is distinguished via the typefield.
TextContent (Text Content Block)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "text". |
text |
string | Yes | Text content. |
annotations |
array(Annotation) | No | Citation information for model-generated content (see Annotation type). |
Annotation Type
annotationsis a polymorphic array, and the specific reference type is distinguished via type.
UrlCitation (URL Citation)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string |
Yes | Fixed as "url_citation". |
url |
string | No | URL address. |
title |
string | No | URL title. |
start_index |
integer | No | The start position (in bytes) of the response fragment attributed to this source. |
end_index |
integer | No | The end position of the attributed segment (exclusive). |
FileCitation (File Reference)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "file_citation". |
document_uri |
string | No | The URI of the file. |
file_name |
string | No | File name. |
source |
string | No | The source to which the text segment is attributed. |
custom_metadata |
object | No | The retrieval context metadata provided by the user. |
page_number |
integer | No | Page number (s) of the cited document (where applicable). |
media_id |
string | No | Media ID for image references (if applicable). |
start_index |
integer | No | The start position (in bytes) of the response fragment attributed to this source. |
end_index |
integer | No | The end position of the attributed segment (exclusive). |
PlaceCitation (Location Citation)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "place_citation". |
place_id |
string | No | Location ID, in the format of places/{place_id}. |
name |
string | No | Location Title. |
url |
string | No | A URI reference for the location. |
review_snippets |
array(ReviewSnippet) | No | User review snippets used to generate location-related responses. |
ReviewSnippet (Review Snippet)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
title |
string | No | Review Title. |
url |
string | No | This is the link corresponding to Google Maps user reviews. |
review_id |
string | No | Review snippet ID. |
start_index |
integer | No | The start position (in bytes) of the response fragment attributed to this source. |
end_index |
integer | No | The end position of the attributed fragment (exclusive). |
ImageContent (Image Content Block)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "image". |
data |
string | No | Image content (Base64 encoded). |
uri |
string | No | Image URI. |
mime_type |
string | No | Image MIME type. Optional values: image/png, image/jpeg, image/webp, image/heic, image/heif, image/gif, image/bmp, image/tiff. |
resolution |
string | No | Media resolution. Optional values: low, medium, high, ultra_high. |
AudioContent (Audio Content Block)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "audio". |
data |
string | No | Audio content (Base64 encoded). |
uri |
string | No | Audio URI. |
mime_type |
string |
No | Audio MIME type. Optional values: audio/wav, audio/mp3, audio/aiff, audio/aac, audio/ogg, audio/flac, audio/mpeg, audio/m4a, audio/l16, audio/opus, audio/alaw, audio/mulaw. |
channels |
integer | No | Number of audio channels. |
sample_rate |
integer | No | Audio sampling rate. |
VideoContent (Video Content Block)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "video". |
data |
string | No | Video content (Base64 encoded). |
uri |
string | No | Video URI. |
mime_type |
string | No | Video MIME type. Optional values: video/mp4, video/mpeg, video/mpg, video/mov, video/avi, video/x-flv, video/webm, video/wmv, video/3gpp. |
resolution |
string | No | Media resolution. Optional values: low, medium, high, ultra_high. |
DocumentContent (Document Content Block)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed to "document". |
data |
string | No | Document content (Base64 encoded). |
uri |
string | No | Document URI. |
mime_type |
string | No | Document MIME type. Optional values: application/pdf. |
Step Type (input)
Step is a polymorphic object, and its specific type is distinguished via the typefield. The following are common input step types:
UserInputStep (User Input Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "user_input". |
content |
array(Content) | No | The input content provided by the user, whose element is of the Content type as mentioned above. |
ModelOutputStep (Model Output Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "model_output". |
content |
array(Content) | No | The output content generated by the model consists of elements of the Content type mentioned above. |
ThoughtStep (Thinking Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | fixed as "thought". |
signature |
string | No | Signature hash for backend verification. |
summary |
ThoughtSummaryContent | No | Thought summary, with the same structure as TextContent (typeis "text", containing the textfield). |
The following are tool invocation and result steps, which are used in multi-round tool interaction scenarios (they can appear in both the Step array of the request inputand the response steps).
FunctionCallStep (function tool calling step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "function_call". |
name |
string | Yes | The name of the tool to be invoked. |
arguments |
object | Yes | The parameters passed to the function. |
id |
string | Yes | The unique ID of this tool call . |
signature |
string | No | The signature hash used for backend verification. |
CodeExecutionCallStep (Code Execution Call Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "code_execution_call". |
arguments |
CodeExecutionCallStepArguments | Yes | The parameters passed to the code execution (see the table below). |
id |
string | Yes | The unique ID of this tool call . |
signature |
string | No | The signature hash used for backend verification. |
Nested fields of CodeExecutionCallStepArguments
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
language |
string | No | codeprogramming language. Optional values: python. |
code |
string | No | The code to be executed. |
UrlContextCallStep (URL Context Call Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "url_context_call". |
arguments |
UrlContextCallStepArguments | Yes | Parameters passed to the URL context (see the table below). |
id |
string | Yes | The unique ID of this tool call . |
signature |
string | No | A signature hash for backend verification. |
Nested fields of UrlContextCallStepArguments
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
urls |
array(string) | No | The list of URLs to be retrieved. |
McpServerToolCallStep (MCP Server Tool Call Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed to "mcp_server_tool_call". |
name |
string | Yes | The name of the invoked tool. |
server_name |
string | Yes | The name of the MCP server being used. |
arguments |
object | Yes | A JSON object of function parameters. |
id |
string | Yes | The unique ID of this tool call . |
signature |
string | No | Signature hash for backend verification. |
GoogleSearchCallStep (Google Search Invocation Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "google_search_call". |
arguments |
GoogleSearchCallStepArguments | Yes | Parameters passed to Google Search (see the table below). |
id |
string | Yes | The unique ID of this tool call . |
signature |
string | No | Signature hash for backend verification. |
Nested fields of GoogleSearchCallStepArguments
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
queries |
array(string) | No | Query terms for subsequent web searches. |
search_type |
string | No | The type of enabled search enhancement. Optional values: web_search, image_search, enterprise_web_search. |
FileSearchCallStep (File Search Call Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed to "file_search_call". |
id |
string | Yes | The unique ID for this tool call. |
signature |
string | No | Signature hash for backend verification. |
GoogleMapsCallStep (Google Maps Calling Steps)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "google_maps_call". |
arguments |
GoogleMapsCallStepArguments | No | Parameters passed to the Google Maps tool (see the table below). |
id |
string | Yes | The unique ID for this tool call. |
signature |
string | No | Signature hash for backend verification. |
Nested fields of GoogleMapsCallStepArguments
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
queries |
array(string) | No | The list of queries to be executed. |
FunctionResultStep (function tool result step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed to "function_result". |
name |
string | No | The name of the invoked tool. |
is_error |
boolean | No | Whether the tool call caused an error. |
call_id |
string | Yes | An identifier used to match the ID in a function call block. |
signature |
string | No | The signature hash used for backend verification. |
result |
array(FunctionResultSubcontent) or string | Yes | The result of the tool call. |
CodeExecutionResultStep (Code Execution Result Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed to "code_execution_result". |
result |
string | Yes | The output of the code execution. |
is_error |
boolean | No | Whether the code execution results in an error. |
call_id |
string | Yes | An identifier used to match the ID in a function call block. |
signature |
string | No | The signature hash used for backend verification. |
UrlContextResultStep (URL Context Result Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "url_context_result". |
result |
UrlContextResultItem | Yes | Results of URL context (see the table below). |
is_error |
boolean | No | Whether the URL context causes an error. |
call_id |
string | Yes | An identifier used to match the ID in a function call block. |
signature |
string | No | A signature hash for backend verification. |
Nested fields of UrlContextResultItem
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
url |
string | No | The URL that has been obtained. |
status |
string | No | URL retrieval status. Optional values: success, error, paywall, unsafe. |
GoogleSearchResultStep (Google Search Result Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "google_search_result". |
result |
GoogleSearchResultItem | Yes | Results from Google Search (see the table below). |
is_error |
boolean | No | Does Google Search cause errors? |
call_id |
string | Yes | An identifier used to match the ID in a function call block. |
signature |
string | No | A signature hash for backend verification. |
GoogleSearchResultItem Nested Fields
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
search_suggestions |
string | No | A web content snippet that can be embedded in web pages or app webviews. |
McpServerToolResultStep (MCP Server Tool Result Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "mcp_server_tool_result". |
name |
string | No | The name of the tool invoked in this tool call. |
server_name |
string | No | The name of the MCP server being used. |
call_id |
string | Yes | An identifier used to match the ID in the function call block. |
signature |
string | No | Signature hash for backend verification. |
result |
array(FunctionResultSubcontent) or string | Yes | The output from MCP server calls can be plain text or rich content. |
FileSearchResultStep (File Search Result Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed to "file_search_result". |
call_id |
string | Yes | An identifier used to match the ID in the function call block. |
signature |
string | No | Signature hash for backend verification. |
GoogleMapsResultStep (Google Maps Result Step)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "google_maps_result". |
result |
GoogleMapsResultItem | Yes | Results from Google Maps (see the table below). |
call_id |
string | Yes | An identifier used to match the ID in a function call block. |
signature |
string | No | Signature hash for backend verification. |
Nested fields of GoogleMapsResultItem
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
places |
GoogleMapsResultPlaces | No | Location results. |
Nested fields of GoogleMapsResultPlaces
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
place_id |
string | No | Location ID. |
name |
string | No | Place name. |
url |
string | No | Location URL. |
review_snippets |
array(ReviewSnippet) | No | Evaluation snippet. |
widget_context_token |
string | No | Widget context token. |
tools Field Description
toolsis an array for tool declarations, and each Tool is distinguished by its specific type via type.
Function (function tool)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "function". |
name |
string | No | Function name. |
description |
string | No | Function description. |
parameters |
object | No | The JSON Schema for function parameters. |
CodeExecution (Code Execution Tool)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed to "code_execution". |
Google Search (Google Search Tool)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed to "google_search". |
search_types |
array(string) | No | The type of enabled search enhancement. Optional values: web_search, image_search, enterprise_web_search. |
UrlContext (URL Context Tool)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "url_context". |
ComputerUse (Computer Utility Tool)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "computer_use". |
environment |
string | No | The environment to operate on. Optional values: browser. |
excluded_predefined_functions |
array(string) | No | A list of predefined functions excluded from model calls. |
McpServer (MCP Server Tool)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "mcp_server". |
name |
string | No | The name of the MCPServer. |
url |
string | No | The full URL of the MCPServer endpoint. Example:"https://api.example.com/mcp". |
headers |
object | No | Optional: fields such as authentication header, timeout, etc. (if required). |
allowed_tools |
AllowedTools | No | Allowed tool configuration (see the nested field allowed_tools). |
allowed_tools nested field
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
mode |
string | No | Tool selection mode. Supported values: auto, any, none, validated. |
tools |
array(string) | No | List of allowed tool names. |
Google Maps (Google Maps Tool)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "google_maps". |
enable_widget |
boolean | No | Whether to return the widget context token in the response of the tool call result. |
latitude |
number | No | The latitude of the user's location. |
longitude |
number | No | The longitude of the user's location. |
Retrieval (File Retrieval Tool)
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | Yes | Fixed as "retrieval". |
retrieval_types |
array(string) | No | Enabled file retrieval types. Optional values: vertex_ai_search. |
vertex_ai_search_config |
VertexAISearchConfig | No | Vertex AI Search configuration (refer to the nested field vertex_ai_search_config). |
Nested fields of vertex_ai_search_config
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
engine |
string | No | Agent Platform Search engine. |
datastores |
array(string) | No | Data storage for Agent Platform Search. |
generation_config Field Description
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
temperature |
number | No | Control the randomness of the output. |
top_p |
number | No | The maximum cumulative token probability considered during sampling. |
seed |
integer | No | A reproducibility seed for decoding. |
stop_sequences |
array(string) | No | Stop outputting interactions when these character sequences are encountered. |
thinking_level |
string | No |
The level of thinking tokens that the model should generate. Optional values: minimal, low, medium, high. |
thinking_summaries |
string | No | Whether to include a reasoning summary in the response. Optional values: auto, none. |
max_output_tokens |
integer | No | The maximum number of tokens contained in the response. |
speech_config |
array(SpeechConfig) |
No | Voice interaction configuration (refer to the nested field speech_config). |
image_config |
ImageConfig | No | Image interaction configuration (see the nested field image_config). |
tool_choice |
ToolChoiceConfig or ToolChoiceType | No | Tool selection and configuration. |
Nested Fields of speech_config
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
voice |
string | No | The speaker's voice. |
language |
string | No | Spoken language. |
speaker |
string | No | Speaker name, which should be consistent with the speaker name provided in the prompt. |
Example of multiple speakers (array):
image_config nested fields
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
aspect_ratio |
string | No | Aspect ratio. Optional values: 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9, 1:8, 8:1, 1:4, 4:1. |
image_size |
string | No | Image size. Optional values: 512, 1K, 2K, 4K. |
Description of the response_format field
| Parameter Name | Field Type | Required or not | Description |
|---|---|---|---|
type |
string | No | Return type, e. g. video |
aspect_ratio |
string | No | Video aspect ratio: 16:9,9:16 |
resolution |
string | No | resolution: e. g. 360p |
duration |
string | No | Video duration, e. g., 4s |
Response parameters (synchronous, stream= false)
Returns Interaction resource.
| Parameter Name | Field Type | Description |
|---|---|---|
id |
string | Output field. The unique identifier for the interaction. |
status |
string | Output field. Interaction status. Optional values: in_progress, requires_action, completed, failed, cancelled, incomplete. |
created |
string | Output field. Response creation time, in ISO 8601 format (YYYY-MM-DDThh: mm: ssZ). |
updated |
string | Output field. Last update time of the response, in ISO 8601 format. |
role |
string | Output fields. Interaction roles. |
model |
string | The name of the model used to generate the interaction. |
system_instruction |
string | Interactive system instructions. |
tools |
array(Tool) | A list of tool declarations that the model can invoke during interaction. |
usage |
Usage | Output field. Token usage statistics of the interaction request (see the description of the `usage` field), used for billing. |
response_modalities |
array(string) | The response modality of the request (TEXT, IMAGE, AUDIO, etc.). |
response_mime_type |
string | The MIME type of the response. |
previous_interaction_id |
string | The ID of the previous interaction, if any. |
steps |
array(Step) | Output field. Constitutes the list of steps for interaction (see the description of the steps field). |
object |
string | Fixed as "interaction". |
Description of the usage field
| Parameter Name | Field Type | Description |
|---|---|---|
total_input_tokens |
integer | The number of tokens in the prompt (context). |
input_tokens_by_modality |
array(ModalityTokens) | Input token usage broken down by modality. |
total_cached_tokens |
integer | The number of tokens in the cached portion of the prompt. |
cached_tokens_by_modality |
array(ModalityTokens) | Cache token usage broken down by modality. |
total_output_tokens |
integer | The total number of tokens in all generated responses. |
output_tokens_by_modality |
array(ModalityTokens) | Output token usage broken down by modality. |
total_tool_use_tokens |
integer | The number of tokens in the tool call prompt. |
tool_use_tokens_by_modality |
array(ModalityTokens) | Tool call token usage broken down by modality. |
total_thought_tokens |
integer | The number of thinking tokens of a reasoning model. |
total_tokens |
integer | Total number of tokens for interaction requests (prompt + response + other internal tokens). |
ModalityTokens Object
| Parameter Name | Field Type | Description |
|---|---|---|
modality |
string | Modalities associated with token counting. Supported values: text, image, audio, video, document. |
tokens |
integer | The number of tokens in this modality. |
steps field description
stepsis an output field that represents the individual steps in an interaction. The step types are consistent with the Step type (input) in the request input, including:
-
Common steps:
user_input,model_output,thought -
Tool call steps:
function_call,code_execution_call,url_context_call,mcp_server_tool_call,google_search_call,file_search_call,google_maps_call -
Tool result steps:
function_result,code_execution_result,url_context_result,google_search_result,mcp_server_tool_result,file_search_result,google_maps_result
For the definition of each field type, refer to the Step type (input) above. contentThe Content block types in it are consistent with the Content type above (text, image, audio, video, document, etc.).
Streaming Response (stream= true)
When stream= true, the response is an SSE (Content-Type: text/event-stream) stream, and each event consists of an eventline and a dataline. datais a JSON object, in which event_typeidentifies the event type.
The main SSE events involved in this interface are as follows:
| Event Name | event_type | Description |
|---|---|---|
interaction.created |
interaction.created |
The interaction has been created. interactioncontains id, statusand other initial information. |
step.delta |
step.delta |
Incremental content. indexis the step index, deltarefers to the incremental data (such as the type: "text"corresponding textfield). |
interaction.completed |
interaction.completed |
The interaction is completed. interactionincluding the final status and usage statistics. |
done |
- | Stream end marker, datais[DONE]. |
Request Example (Synchronous)
curl --location 'https://genaiapi-m2.cloudsway.net/v1/ai/{YOUR_ENDPOINT}/omni/interactions' \
--header 'Authorization: Bearer {YOUR_AK}' \
--header 'Content-Type: application/json' \
--data '{
"input": [
{
"type": "user_input",
"content": [
{
"type": "text",
"text": "Generate a cute cat, playing with kids."
}
]
}
],
"response_modalities": ["text", "video"]
}'
Response Example (Synchronous)
{
"id": "rnVLaoO1KuKF694Pr4GXgQI",
"status": "completed",
"role": "model",
"created": "2026-07-06T09:30:56Z",
"updated": "2026-07-06T09:30:56Z",
"object": "interaction",
"model": "gemini-omni-flash-preview",
"usage": {
"total_input_tokens": 9,
"input_tokens_by_modality": [
{
"modality": "text",
"tokens": 9
}
],
"total_output_tokens": 57920,
"output_tokens_by_modality": [
{
"modality": "video",
"tokens": 57920
}
],
"total_tool_use_tokens": 0,
"total_thought_tokens": 331,
"total_tokens": 58260
},
"steps": [
{
"type": "thought",
"signature": "signature",
"summary": [
{
"text": "**Creating a Charming Scene**\n\nI'm developing a prompt for a video model, envisioning a playful scene. It starts in a sunny living room with a boy and girl interacting with a cat. Close-ups will highlight the cat's joy and focus, as well as the children's reactions. The video will culminate with the cat resting on the boy's lap. The entire scene will have cheerful background music and sound effects.\n\n\n",
"type": "text"
}
]
},
{
"type": "model_output",
"content": [
{
"type": "video",
"data": "video data encoded by base64"
"mime_type": "video/mp4"
}
]
}
]
}
Query Get API
Request URL
Request Header
| Header | Required or not | Description |
|---|---|---|
Authorization |
Yes | Bearer {YOUR_AK} |
Content-Type |
Yes | application/json |
Request Query Parameters
| Parameter Name | Field Type | Required or not | default value | Description |
|---|---|---|---|---|
stream |
boolean | No | - | Whether to pull data via SSE streaming; default value false |
last_event_id |
string | No | - | Previous event ID for streaming resumption (only applicable when stream= true) |
Response Parameters
The response body is the same as that of a synchronously created response.